XF 2.0 Your server has disabled a core PHP function...

Valter

Active member
The following warnings were detected by XenForo install/upgrade script when verifying that my server can run it:

• Your server has disabled a core PHP function exec via the disable_functions directive in php.ini. This may cause unexpected problems in XenForo.
• Your server has disabled a core PHP function proc_open via the disable_functions directive in php.ini. This may cause unexpected problems in XenForo.

However it installed fine and I'm not seeing any problems with my board at the moment.

What exactly can be affected by this?
 

Chris D

XenForo developer
Staff member
exec is currently only used by XFMG and only if FFmpeg integration is enabled, though we've added it as a core function in case we decide to use it for more things in the future.

proc_open is used by the email library so you will most likely want to address this or you may see issues with email sending.

exec and proc_open are often disabled for security reasons though really its usage can be safe and reasonable if used correctly. Generally we wouldn't recommend you ignore these warnings and instead you should look to re-enable these functions.
 

Jake B.

Well-known member
My hosting has nice Support Team, they've enabled those functions for me. Thanks.
FWIW you may be able to edit the php.ini yourself depending on the configuration they use. In cPanel if you have a "MultiPHP INI" you can change most php.ini settings yourself :)
 

Valter

Active member
FWIW you may be able to edit the php.ini yourself depending on the configuration they use. In cPanel if you have a "MultiPHP INI" you can change most php.ini settings yourself :)
Thanks, but MultiPHP INI Editor is not available on my hosting.
 

Valter

Active member
Here we go again.

If I check my server with phpinfo(); it says set_time_limit/exec/proc_open are not in disabled functions.

Now I downloaded XF2RC1 and upgrade was impossible until I commented set_time_limit line in install app.
And again, install script says:
Your server has disabled a core PHP function exec via the disable_functions directive in php.ini...
Your server has disabled a core PHP function proc_open via the disable_functions directive in php.ini....


What's wrong here now?
 

carntheroos4eva

Active member
Have you got any addons from version 1 that are still active?
It might be that. Also don't forget version 2 at the moment is beta and not everything works.
 

Chris D

XenForo developer
Staff member
Here we go again.

If I check my server with phpinfo(); it says set_time_limit/exec/proc_open are not in disabled functions.

Now I downloaded XF2RC1 and upgrade was impossible until I commented set_time_limit line in install app.
And again, install script says:
Your server has disabled a core PHP function exec via the disable_functions directive in php.ini...
Your server has disabled a core PHP function proc_open via the disable_functions directive in php.ini....


What's wrong here now?
Contrary to what phpinfo says, they're definitely disabled, somehow.
 

Valter

Active member
But I had mail sending errors logged in ACP when proc_open and proc_close was disabled. Since my hosting enabled these functions mail works fine, phpinfo says they are not disabled, and errors are gone.

Have you got any addons from version 1 that are still active?
It might be that. Also don't forget version 2 at the moment is beta and not everything works.
No, everything uninstalled, files deleted, no any new addon installed.
 
Top